Upload one or more files to a style
curl --request POST \
--url http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/files \
--header 'Content-Type: application/json' \
--data '
[
{
"folderId": 123,
"name": "<string>",
"note": "<string>",
"fileResourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"colorwayId": 123
}
]
'import requests
url = "http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/files"
payload = [
{
"folderId": 123,
"name": "<string>",
"note": "<string>",
"fileResourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"colorwayId": 123
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
folderId: 123,
name: '<string>',
note: '<string>',
fileResourceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
colorwayId: 123
}
])
};
fetch('http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<unknown>",
"code": "<string>",
"data": [
{
"id": 123,
"name": "<string>",
"note": "<string>",
"state": "<unknown>",
"url": "<string>",
"position": 123,
"folderId": 123,
"folderType": "<unknown>",
"colorwayId": 123,
"colorwayName": "<string>"
}
]
}{
"status": "<unknown>",
"code": "<string>",
"error": {
"operation": "<string>",
"total_items": 123,
"failed_items": 123,
"summary": "<string>",
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "<unknown>",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "<unknown>",
"code": "<string>",
"error": {
"operation": "<string>",
"total_items": 123,
"failed_items": 123,
"summary": "<string>",
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "<unknown>",
"code": "<string>",
"error": {
"operation": "<string>",
"total_items": 123,
"failed_items": 123,
"summary": "<string>",
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}StyleFiles
Upload one or more files to a style
Creates one or more style file records. The FileResourceId must reference a resource already uploaded via the file upload endpoint. All items are created in a single transaction.
POST
/
api
/
styles
/
{styleId}
/
files
Upload one or more files to a style
Path Parameters
Body
application/jsontext/jsonapplication/*+json
⌘I